Index: DCWoRMS/trunk/src/test/ariel/experiment_result/Stats_Simulation 1_Jobs.txt
===================================================================
--- DCWoRMS/trunk/src/test/ariel/experiment_result/Stats_Simulation 1_Jobs.txt	(revision 674)
+++ DCWoRMS/trunk/src/test/ariel/experiment_result/Stats_Simulation 1_Jobs.txt	(revision 674)
@@ -0,0 +1,5 @@
+jobID;meanTaskCompletionTime;meanTaskExecutionTime;meanTaskStartTime;meanTaskFlowTime;meanTaskWaitingTime;meanTaskGQ_WaitingTime;lateness;tardiness;makespan;
+1;18,000;18,000;0;18,000;0;0;0;0;18,000;
+2;25,200;23,400;0;23,400;0;0;0;0;25,200;
+3;30,600;27,000;0;27,000;0;0;0;0;30,600;
+4;34,200;28,800;0;28,800;0;0;0;0;34,200;
Index: DCWoRMS/trunk/src/test/ariel/experiment_result/Stats_Simulation 1_EnergyUsage.txt
===================================================================
--- DCWoRMS/trunk/src/test/ariel/experiment_result/Stats_Simulation 1_EnergyUsage.txt	(revision 674)
+++ DCWoRMS/trunk/src/test/ariel/experiment_result/Stats_Simulation 1_EnergyUsage.txt	(revision 674)
@@ -0,0 +1,30 @@
+resourceName;timestamp;consumption;
+
+Processor_0;1225666800000;350;
+Processor_0;1225668600000;343;
+Processor_0;1225670400000;337;
+Processor_0;1225672200000;330;
+Processor_0;1225684800000;10;
+Processor_0;1225701000000;10;
+mean: 180.52631578947367 sum: 1715.0
+
+Processor_1;1225666800000;10;
+Processor_1;1225668600000;343;
+Processor_1;1225670400000;337;
+Processor_1;1225672200000;330;
+Processor_1;1225692000000;10;
+Processor_1;1225701000000;10;
+mean: 230.0 sum: 2185.0
+
+Processor_2;1225666800000;10;
+Processor_2;1225670400000;337;
+Processor_2;1225672200000;330;
+Processor_2;1225697400000;10;
+Processor_2;1225701000000;10;
+mean: 263.0 sum: 2498.5
+
+Processor_3;1225666800000;10;
+Processor_3;1225672200000;330;
+Processor_3;1225701000000;10;
+mean: 279.4736842105263 sum: 2655.0
+
Index: DCWoRMS/trunk/src/test/ariel/experiment_result/Stats_Simulation 1_ResourceUtilization.txt
===================================================================
--- DCWoRMS/trunk/src/test/ariel/experiment_result/Stats_Simulation 1_ResourceUtilization.txt	(revision 674)
+++ DCWoRMS/trunk/src/test/ariel/experiment_result/Stats_Simulation 1_ResourceUtilization.txt	(revision 674)
@@ -0,0 +1,27 @@
+resourceName;timestamp;utilization;
+compRes;1225666800000;0.25;
+compRes;1225668600000;0.5;
+compRes;1225670400000;0.75;
+compRes;1225672200000;1;
+compRes;1225684800000;0.75;
+compRes;1225692000000;0.5;
+compRes;1225697400000;0.25;
+compRes;1225701000000;0;
+mean: 0.7105263157894736
+
+Processor_0;1225666800000;1;
+Processor_0;1225684800000;0;
+mean: 0.5263157894736842
+
+Processor_1;1225668600000;1;
+Processor_1;1225692000000;0;
+mean: 0.6842105263157895
+
+Processor_2;1225670400000;1;
+Processor_2;1225697400000;0;
+mean: 0.7894736842105263
+
+Processor_3;1225672200000;1;
+Processor_3;1225701000000;0;
+mean: 0.8421052631578947
+
Index: DCWoRMS/trunk/src/test/ariel/experiment_result/Stats_Simulation 1_Simulation.txt
===================================================================
--- DCWoRMS/trunk/src/test/ariel/experiment_result/Stats_Simulation 1_Simulation.txt	(revision 674)
+++ DCWoRMS/trunk/src/test/ariel/experiment_result/Stats_Simulation 1_Simulation.txt	(revision 674)
@@ -0,0 +1,14 @@
+Resource name;mean;stdev;variance;minimum;maximum;sum;count;
+Delayed tasks;0;0;0;0;0;0;1;
+Failed requests (tasks);0;0;0;0;0;0;1;
+Makespan;34,200;0;0;34,200;34,200;34,200;1;
+Resources queue length;0.158;0;0;0.158;0.158;0.158;1;
+Resources total load;0.711;0;0;0.711;0.711;0.711;1;
+Energy usage;2,263.375;358.996;128,877.922;1,715;2,655;9,053.5;4;
+Task completion time;27,000;6,104.097;37,260,000;18,000;34,200;108,000;4;
+Task execution time;24,300;4,124.318;17,010,000;18,000;28,800;97,200;4;
+Task start time;0;0;0;0;0;0;4;
+Task flow time;24,300;4,124.318;17,010,000;18,000;28,800;97,200;4;
+Task waiting time;0;0;0;0;0;0;4;
+Task lateness;0;0;0;0;0;0;4;
+Task tardiness;0;0;0;0;0;0;4;
Index: DCWoRMS/trunk/src/test/ariel/experiment_result/Stats_Simulation 1_AirThroughput.txt
===================================================================
--- DCWoRMS/trunk/src/test/ariel/experiment_result/Stats_Simulation 1_AirThroughput.txt	(revision 674)
+++ DCWoRMS/trunk/src/test/ariel/experiment_result/Stats_Simulation 1_AirThroughput.txt	(revision 674)
@@ -0,0 +1,6 @@
+resourceName;timestamp;airFlow;
+
+
+
+
+
Index: DCWoRMS/trunk/src/test/ariel/experiment_result/Stats_Simulation 1_Tasks.txt
===================================================================
--- DCWoRMS/trunk/src/test/ariel/experiment_result/Stats_Simulation 1_Tasks.txt	(revision 674)
+++ DCWoRMS/trunk/src/test/ariel/experiment_result/Stats_Simulation 1_Tasks.txt	(revision 674)
@@ -0,0 +1,5 @@
+JobID;TaskID;UserDN;ResName;CpuCnt;ExecStartDate;ExecFinishDate;ExecEndDate;GB_SubDate;LB_SubDate;CompletionTime;ExecStartTime;ExecutionTime;ReadyTime;StartTime;FlowTime;WaitingTime;GQ_WaitingTime;Lateness;Tardiness;ReservStartDate;ReservFinishDate;ProcessorName;Energy;
+1;1;-1;cluster;1;1225666800;1225684800;1225684800;1225666800;1225666800;18000;0;18000;0;0;18000;0;0;0;0;0;0;[Processor_0];
+2;2;-1;cluster;1;1225668600;1225692000;1225692000;1225668600;1225668600;25200;1800;23400;1800;0;23400;0;0;0;0;0;0;[Processor_1];
+3;3;-1;cluster;1;1225670400;1225697400;1225697400;1225670400;1225670400;30600;3600;27000;3600;0;27000;0;0;0;0;0;0;[Processor_2];
+4;4;-1;cluster;1;1225672200;1225701000;1225701000;1225672200;1225672200;34200;5400;28800;5400;0;28800;0;0;0;0;0;0;[Processor_3];
Index: DCWoRMS/trunk/src/test/ariel/experiment_result/experiment.properties
===================================================================
--- DCWoRMS/trunk/src/test/ariel/experiment_result/experiment.properties	(revision 674)
+++ DCWoRMS/trunk/src/test/ariel/experiment_result/experiment.properties	(revision 674)
@@ -0,0 +1,17 @@
+# Use single *.swf file as workload description.
+
+# Path to xml file which describes resource characteristics.
+resdesc=src/test/ariel/resources.xml
+
+# and swf file, which name is declared by readscenario.workloadfilename parameter.
+# Swf file must be placed in readscenario.inputfolder directory.  
+readscenario.workloadfilename=src/test/ariel/workload.swf
+
+# Choose directory where all result files should be placed.
+stats.outputfolder=experiment_result
+
+
+creatediagrams.gantt=true
+
+creatediagrams.respowerusage=Processor
+