Index: DCWoRMS/trunk/src/test/article/recs/plugins/scheduling/RecsExclusivenessEnOptSP.java
===================================================================
--- DCWoRMS/trunk/src/test/article/recs/plugins/scheduling/RecsExclusivenessEnOptSP.java	(revision 658)
+++ DCWoRMS/trunk/src/test/article/recs/plugins/scheduling/RecsExclusivenessEnOptSP.java	(revision 679)
@@ -1,3 +1,5 @@
 package test.article.recs.plugins.scheduling;
+
+import gridsim.dcworms.DCWormsTags;
 
 import java.io.FileInputStream;
@@ -35,8 +37,6 @@
 import test.article.recs.utils.AppType;
 import test.article.recs.utils.TaskToApp;
-import example.localplugin.BaseLocalSchedulingPlugin;
-import gridsim.dcworms.DCWormsTags;
-
-public class RecsExclusivenessEnOptSP extends BaseLocalSchedulingPlugin {
+
+public class RecsExclusivenessEnOptSP extends RecsSP {
 
 	private static String TIME_DATA_FILE_NAME = "src/test/article/recs/data/time_data.properties";
@@ -65,4 +65,6 @@
 			for (int i = 0; i < q.size(); i++) {
 				TaskInterface<?> task = q.get(i);
+				initApplicationType(task);
+				
 				// if status of the tasks in READY
 				if (task.getStatus() == DCWormsTags.READY) {
Index: DCWoRMS/trunk/src/test/article/recs/plugins/scheduling/RecsExclusivenessNodePowManSP.java
===================================================================
--- DCWoRMS/trunk/src/test/article/recs/plugins/scheduling/RecsExclusivenessNodePowManSP.java	(revision 663)
+++ DCWoRMS/trunk/src/test/article/recs/plugins/scheduling/RecsExclusivenessNodePowManSP.java	(revision 679)
@@ -1,3 +1,5 @@
 package test.article.recs.plugins.scheduling;
+
+import gridsim.dcworms.DCWormsTags;
 
 import java.util.ArrayList;
@@ -26,8 +28,6 @@
 import schedframe.scheduling.queue.TaskQueueList;
 import schedframe.scheduling.tasks.TaskInterface;
-import example.localplugin.BaseLocalSchedulingPlugin;
-import gridsim.dcworms.DCWormsTags;
 
-public class RecsExclusivenessNodePowManSP extends BaseLocalSchedulingPlugin {
+public class RecsExclusivenessNodePowManSP extends RecsSP {
 
 
@@ -46,4 +46,6 @@
 			for (int i = 0; i < q.size(); i++) {
 				TaskInterface<?> task = q.get(i);
+				initApplicationType(task);
+				
 				if (task.getStatus() == DCWormsTags.READY) {
 
Index: DCWoRMS/trunk/src/test/article/recs/plugins/scheduling/RecsExclusivenessDFSSP.java
===================================================================
--- DCWoRMS/trunk/src/test/article/recs/plugins/scheduling/RecsExclusivenessDFSSP.java	(revision 663)
+++ DCWoRMS/trunk/src/test/article/recs/plugins/scheduling/RecsExclusivenessDFSSP.java	(revision 679)
@@ -1,3 +1,5 @@
 package test.article.recs.plugins.scheduling;
+
+import gridsim.dcworms.DCWormsTags;
 
 import java.util.ArrayList;
@@ -27,8 +29,6 @@
 import schedframe.scheduling.tasks.TaskInterface;
 import test.article.recs.utils.RecsProcessorPowerInterface;
-import example.localplugin.BaseLocalSchedulingPlugin;
-import gridsim.dcworms.DCWormsTags;
 
-public class RecsExclusivenessDFSSP extends BaseLocalSchedulingPlugin {
+public class RecsExclusivenessDFSSP extends RecsSP {
 
 	private Random rand = new Random(5);
@@ -51,4 +51,6 @@
 			for (int i = 0; i < q.size(); i++) {
 				TaskInterface<?> task = q.get(i);
+				initApplicationType(task);
+				
 				// if status of the tasks in READY
 				if (task.getStatus() == DCWormsTags.READY) {
Index: DCWoRMS/trunk/src/test/article/recs/plugins/scheduling/RecsSP.java
===================================================================
--- DCWoRMS/trunk/src/test/article/recs/plugins/scheduling/RecsSP.java	(revision 679)
+++ DCWoRMS/trunk/src/test/article/recs/plugins/scheduling/RecsSP.java	(revision 679)
@@ -0,0 +1,14 @@
+package test.article.recs.plugins.scheduling;
+
+import schedframe.scheduling.tasks.TaskInterface;
+import test.article.recs.utils.TaskToApp;
+import example.localplugin.BaseLocalSchedulingPlugin;
+
+public abstract class RecsSP extends BaseLocalSchedulingPlugin {
+
+	private TaskToApp taskToApp = new TaskToApp();
+	
+	protected void initApplicationType(TaskInterface<?> task){
+		 taskToApp.getAppType(task);
+	}
+}
Index: DCWoRMS/trunk/src/test/article/recs/plugins/scheduling/RecsExclusivenessSP.java
===================================================================
--- DCWoRMS/trunk/src/test/article/recs/plugins/scheduling/RecsExclusivenessSP.java	(revision 656)
+++ DCWoRMS/trunk/src/test/article/recs/plugins/scheduling/RecsExclusivenessSP.java	(revision 679)
@@ -1,3 +1,5 @@
 package test.article.recs.plugins.scheduling;
+
+import gridsim.dcworms.DCWormsTags;
 
 import java.util.ArrayList;
@@ -24,8 +26,6 @@
 import schedframe.scheduling.queue.TaskQueueList;
 import schedframe.scheduling.tasks.TaskInterface;
-import example.localplugin.BaseLocalSchedulingPlugin;
-import gridsim.dcworms.DCWormsTags;
 
-public class RecsExclusivenessSP extends BaseLocalSchedulingPlugin {
+public class RecsExclusivenessSP extends RecsSP {
 
 	public SchedulingPlanInterface<?> schedule(SchedulingEvent event, TaskQueueList queues, JobRegistry jobRegistry,
@@ -46,4 +46,6 @@
 			for (int i = 0; i < q.size(); i++) {
 				TaskInterface<?> task = q.get(i);
+				initApplicationType(task);
+				
 				// if status of the tasks in READY
 				if (task.getStatus() == DCWormsTags.READY) {
Index: DCWoRMS/trunk/src/test/article/recs/plugins/scheduling/RecsExclusivenessRandomSP.java
===================================================================
--- DCWoRMS/trunk/src/test/article/recs/plugins/scheduling/RecsExclusivenessRandomSP.java	(revision 658)
+++ DCWoRMS/trunk/src/test/article/recs/plugins/scheduling/RecsExclusivenessRandomSP.java	(revision 679)
@@ -1,3 +1,5 @@
 package test.article.recs.plugins.scheduling;
+
+import gridsim.dcworms.DCWormsTags;
 
 import java.util.ArrayList;
@@ -25,8 +27,6 @@
 import schedframe.scheduling.queue.TaskQueueList;
 import schedframe.scheduling.tasks.TaskInterface;
-import example.localplugin.BaseLocalSchedulingPlugin;
-import gridsim.dcworms.DCWormsTags;
 
-public class RecsExclusivenessRandomSP extends BaseLocalSchedulingPlugin {
+public class RecsExclusivenessRandomSP extends RecsSP {
 
 	private Random rand = new Random(5);
@@ -49,4 +49,6 @@
 			for (int i = 0; i < q.size(); i++) {
 				TaskInterface<?> task = q.get(i);
+				initApplicationType(task);
+				
 				// if status of the tasks in READY
 				if (task.getStatus() == DCWormsTags.READY) {