Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 666)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 683)
@@ -28,7 +28,7 @@
 \@writefile{toc}{\contentsline {subsubsection}{\numberline {3.4.1}Power management}{10}}
 \@writefile{toc}{\contentsline {paragraph}{\textbf  {Power profile}}{10}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Energy consumption model}}{10}}
+\@writefile{toc}{\contentsline {paragraph}{\textbf  {Power consumption model}}{10}}
 \@writefile{toc}{\contentsline {paragraph}{\textbf  {Power management interface}}{10}}
-\@writefile{lof}{\contentsline {figure}{\numberline {3}{\ignorespaces  Energy consumption modeling}}{11}}
+\@writefile{lof}{\contentsline {figure}{\numberline {3}{\ignorespaces  Power consumption modeling}}{11}}
 \newlabel{fig:powerModel}{{3}{11}}
 \@writefile{toc}{\contentsline {subsubsection}{\numberline {3.4.2}Air throughput management concept}{11}}
@@ -68,7 +68,7 @@
 \@writefile{toc}{\contentsline {subsection}{\numberline {5.1}Testbed description}{19}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {5.2}Computational analysis}{19}}
-\@writefile{toc}{\contentsline {section}{\numberline {6}DCWoRMS application/use cases}{19}}
-\newlabel{sec:coolemall}{{6}{19}}
 \@writefile{lot}{\contentsline {table}{\numberline {1}{\ignorespaces CoolEmAll testbed}}{20}}
+\@writefile{toc}{\contentsline {section}{\numberline {6}DCWoRMS application/use cases}{20}}
+\newlabel{sec:coolemall}{{6}{20}}
 \bibcite{CloudSim}{{1}{}{{}}{{}}}
 \@writefile{toc}{\contentsline {section}{\numberline {7}Conclusions and future work}{21}}
@@ -84,3 +84,3 @@
 \bibcite{SWF}{{10}{}{{}}{{}}}
 \bibcite{TORQUE}{{11}{}{{}}{{}}}
-\global\NAT@numberstrue
+\providecommand\NAT@force@numbers{}\NAT@force@numbers
Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk	(revision 651)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk	(revision 683)
@@ -1,4 +1,4 @@
 # Fdb version 2
-["pdflatex"] 1353926300 "elsarticle-DCWoRMS.tex" "elsarticle-DCWoRMS.pdf" "elsarticle-DCWoRMS" 
+["pdflatex"] 1354276848 "elsarticle-DCWoRMS.tex" "elsarticle-DCWoRMS.pdf" "elsarticle-DCWoRMS" 
   "/usr/local/texlive/2010/texmf-dist/tex/context/base/supp-pdf.mkii" 1251025892 71625 fad1c4b52151c234b6873a255b0ad6b3 ""
   "/usr/local/texlive/2010/texmf-dist/tex/generic/oberdiek/etexcmds.sty" 1267408169 5670 cacb018555825cfe95cd1e1317d82c1d ""
@@ -29,11 +29,14 @@
   "/usr/local/texlive/2010/texmf-dist/tex/latex/psnfss/upsy.fd" 1137110629 148 2da0acd77cba348f34823f44cabf0058 ""
   "/usr/local/texlive/2010/texmf-dist/tex/latex/psnfss/upzd.fd" 1137110629 148 b2a94082cb802f90d3daf6dd0c7188a0 ""
-  "elsarticle-DCWoRMS.aux" 1353926301 4292 a515904da60b90122de1d94ff4164603 ""
-  "elsarticle-DCWoRMS.spl" 1353926300 0 d41d8cd98f00b204e9800998ecf8427e ""
-  "elsarticle-DCWoRMS.tex" 1353926298 45136 8e6cd2f043e6b20199324ae08768d5ef ""
+  "elsarticle-DCWoRMS.aux" 1354276849 5209 54e9f1c541edd83c60cc5bddca9dccb6 ""
+  "elsarticle-DCWoRMS.spl" 1354276849 0 d41d8cd98f00b204e9800998ecf8427e ""
+  "elsarticle-DCWoRMS.tex" 1354276842 50803 8cefc123a856e5b1a7bad73cc4b4240b ""
   "elsarticle.cls" 1352447924 26095 ad44f4892f75e6e05dca57a3581f78d1 ""
   "fig/airModel.png" 1353405890 41411 f33639119a59ae1d2eabb277137f0042 ""
   "fig/arch.png" 1353403503 184917 61b6fddc71ce603779f09b272cd2f164 ""
   "fig/jobsStructure.png" 1353403491 128220 3ee11e5fa0d14d8265671725666ef6f7 ""
+  "fig/power-fans.png" 1354275938 26789 030a69cecd0eda7c4173d2a6467b132b ""
   "fig/powerModel.png" 1353405780 50716 4660bc6bdf6979777f17fbd82ed99f17 ""
+  "fig/power_default.pdf" 1354275938 69911 0f497aa15baa608eb1f7a90d355bf91e ""
+  "fig/temp-fans.png" 1354275938 24359 e12f56fb169d15df2e343daeb0be1b8a ""
   "fig/tempModel.png" 1353418849 63988 4fdd5131fabb84b42453ee67b431fd58 ""
Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 666)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 683)
@@ -262,5 +262,5 @@
 In general, power profiles allow specifying the power usage of resources. Depending on the accuracy of the model, users may provide additional information about power states which are supported by the resources, amounts of energy consumed in these states, and other information essential to calculate the total energy consumed by the resource during runtime. In such a way each component of IT infrastructure may be described, including computing resources, system components and data center facilities. Moreover, it is possible to define any number of new, resource specific, states, for example so called P-states, in which processor can operate.
 
-\paragraph{\textbf{Energy consumption model}}
+\paragraph{\textbf{Power consumption model}}
 The main aim of these models is to emulate the behavior of the real computing resource and the way it consumes energy. Due to a rich functionality and flexible environment description, DCWoRMS can be used to verify a number of theoretical assumptions and to develop new energy consumption models. Modeling of energy consumption is realized by the energy estimation plugin that calculates energy usage based on information about the resource power profile, resource utilization, and the application profile including energy consumption and heat production metrics. Relation between model and power profile is illustrated in Figure~\ref{fig:powerModel}.
 
@@ -268,5 +268,5 @@
 \centering
 \includegraphics[width = 8cm]{fig/powerModel.png}
-\caption{\label{fig:powerModel} Energy consumption modeling}
+\caption{\label{fig:powerModel} Power consumption modeling}
 \end{figure}
 
@@ -281,5 +281,5 @@
 
 \paragraph{\textbf{Air throughput profile}}
-The air throughput profile, analogously to the power profile, allows specifying supported air flow states. Each air throughput state definition consists of an air flow value and a corresponding power draw. It can represent, for instance, a fan working state. An air throughput value can also express a fan rotation speed. In this way, associating the air throughput profile with the given computing resource, it is possible to describe mounted air-cooling devices.
+The air throughput profile, analogously to the power profile, allows specifying supported air flow states. Each air throughput state definition consists of an air flow value and a corresponding power draw. It can represent, for instance, a fan working state. In this way, associating the air throughput profile with the given computing resource, it is possible to describe mounted air-cooling devices.
 Possibility of introducing additional parameters makes the air throughput description extensible for new specific characteristics.
 
@@ -306,5 +306,5 @@
 
 \paragraph{\textbf{Temperature estimation model}}
-Thermal profile, complemented with the temperature measurement model implementation may introduce temperature sensors simulation. In this way, users have means to approximately predict the temperature of the simulated objects. The proposed approach assumes some simplifications that ignore heating and cooling processes.
+Thermal profile, complemented with the temperature measurement model implementation may introduce temperature sensors simulation. In this way, users have means to approximately predict the temperature of the simulated objects by taking into account basic thermal characteristics as well as the estimated impact of cooling devices. However, the proposed approach assumes some simplifications that ignore heating and cooling dynamics understood as a heat flow process.
 
 Figure~\ref{fig:tempModel} summarizes relation between model and profile and input data.
@@ -420,5 +420,5 @@
 \textbf{Static} model refers to a static definition of air throughput states. According to this approach, output air flow depends only on the present air cooling working state and the corresponding air throughput value. Each state change triggers the calculations and updates the current air throughput value. This strategy requires only a basic air throughput profile definition.
 
-\textbf{Space} model allows taking into account a duct associated with the investigated air flow. On the basis of the given fan rotation speed and the obstacles before/behind the fans, the output air throughput can be roughly estimated, Thus, it is possible to estimate the air flow level not only referring to the current fan operating state but also with respect to the resource and its subcomponent placement. More advanced scenario may consider mutual impact of several air flows.
+\textbf{Space} model allows taking into account a duct associated with the investigated air flow. On the basis of the given fan rotation speed and the obstacles before/behind the fans, the output air throughput can be roughly estimated. To this end, additional manufacturer's specifications will be required, including resulting air velocity values and fan duct dimensions. Thus, it is possible to estimate the air flow level not only referring to the current fan operating state but also with respect to the resource and its subcomponent placement. More advanced scenario may consider mutual impact of several air flows.
 
 \subsection{Thermal models}\label{sec:thermal}