Index: DCWoRMS/trunk/src/test/DEBBTranslator/src/PLMXMLTranslator.java
===================================================================
--- DCWoRMS/trunk/src/test/DEBBTranslator/src/PLMXMLTranslator.java	(revision 671)
+++ DCWoRMS/trunk/src/test/DEBBTranslator/src/PLMXMLTranslator.java	(revision 689)
@@ -16,7 +16,7 @@
 public class PLMXMLTranslator {
 
-	private static final String DEFAULT_OUTPUT_FILE_NAME = "xml/PLMXML_TEST.xml";
-	private static final String DEFAULT_INPUT_FILE_NAME = "xml/PLMXML_HLRSSmallServerRoom_with_multiple_DEBBComponent_files.xml";
-	private static final String DEFAULT_PLMXML_TRANSFORMATION_FILE_NAME = "xml/PLMXMLTranslator.xsl";
+	private static final String DEFAULT_OUTPUT_FILE_NAME = "src/test/DEBBTranslator/xml/PLMXML_TEST.xml";
+	private static final String DEFAULT_INPUT_FILE_NAME = "src/test/DEBBTranslator/xml/PLMXML_HLRSSmallServerRoom_with_multiple_DEBBComponent_files.xml";
+	private static final String DEFAULT_PLMXML_TRANSFORMATION_FILE_NAME = "src/test/DEBBTranslator/xml/PLMXMLTranslator.xsl";
 	
 	private static HashMap<String, String> computingResourceClasses;
Index: DCWoRMS/trunk/src/test/DEBBTranslator/src/DEBB2DCWoRMSTranslator.java
===================================================================
--- DCWoRMS/trunk/src/test/DEBBTranslator/src/DEBB2DCWoRMSTranslator.java	(revision 671)
+++ DCWoRMS/trunk/src/test/DEBBTranslator/src/DEBB2DCWoRMSTranslator.java	(revision 689)
@@ -49,11 +49,11 @@
 	// 3) Where to take information about sensors? There is something in PLM XML and DEBB Component file(s)
 
-	private static final String DEFAULT_DCWORMS_OUTPUT_FILE_NAME = "xml/DCWORMS_TEST.xml";
+	private static final String DEFAULT_DCWORMS_OUTPUT_FILE_NAME = "src/test/DEBBTranslator/xml/DCWORMS_TEST.xml";
 	// private static final String DEFAULT_INPUT_FILE_NAME =
 	// "xml/PLMXML_PSNCRECS.xml";
-	private static final String DEFAULT_PLMXML_INPUT_FILE_NAME = "xml/PLMXML_HLRSSmallServerRoom.xml";
-	private static final String DEFAULT_DEBB_COMPONENT_INPUT_FILE_NAME = "xml/DEBBComponents.xml";
+	private static final String DEFAULT_PLMXML_INPUT_FILE_NAME = "src/test/DEBBTranslator/xml/PLMXML_HLRSSmallServerRoom.xml";
+	private static final String DEFAULT_DEBB_COMPONENT_INPUT_FILE_NAME = "src/test/DEBBTranslator/xml/DEBBComponents.xml";
 	private static final String DEFAULT_SCHEMA_NAME = "DCWormsResSchema.xsd";
-	private static final String DEFAULT_DEBB_COMPONENT_TRANSFORMATION_FILE_NAME = "xml/DEBBComponentTranslator.xsl";
+	private static final String DEFAULT_DEBB_COMPONENT_TRANSFORMATION_FILE_NAME = "src/test/DEBBTranslator/xml/DEBBComponentTranslator.xsl";
 	private static final String DEFAULT_NAMESPACE = "http://www.w3.org/2001/XMLSchema-instance";
 	private static DocumentBuilder xmlDocumentBuilder;
Index: DCWoRMS/trunk/src/test/DEBBTranslator/src/DEBBComponentTranslator.java
===================================================================
--- DCWoRMS/trunk/src/test/DEBBTranslator/src/DEBBComponentTranslator.java	(revision 671)
+++ DCWoRMS/trunk/src/test/DEBBTranslator/src/DEBBComponentTranslator.java	(revision 689)
@@ -16,8 +16,8 @@
 public class DEBBComponentTranslator {
 
-	private static final String DEFAULT_OUTPUT_FILE_NAME = "xml/DEBBComponents_TEST.xml";
-	private static final String DEFAULT_INPUT_FILE_NAME = "xml/DEBBComponents.xml";
-//	private static final String DEFAULT_DEBB_TRANSFORMATION_FILE_NAME = "xml/DEBBTranslator.xsl";
-	private static final String DEFAULT_DEBB_TRANSFORMATION_FILE_NAME = "xml/DEBBComponentTranslator.xsl";
+	private static final String DEFAULT_OUTPUT_FILE_NAME = "src/test/DEBBTranslator/xml/DEBBComponents_TEST.xml";
+	private static final String DEFAULT_INPUT_FILE_NAME = "src/test/DEBBTranslator/xml/DEBBComponents.xml";
+//	private static final String DEFAULT_DEBB_TRANSFORMATION_FILE_NAME = "src/test/DEBBTranslator/xml/DEBBTranslator.xsl";
+	private static final String DEFAULT_DEBB_TRANSFORMATION_FILE_NAME = "src/test/DEBBTranslator/xml/DEBBComponentTranslator.xsl";
 
 	/**
Index: DCWoRMS/trunk/src/test/DEBBTranslator/src/DEBBComponentsSplitter.java
===================================================================
--- DCWoRMS/trunk/src/test/DEBBTranslator/src/DEBBComponentsSplitter.java	(revision 671)
+++ DCWoRMS/trunk/src/test/DEBBTranslator/src/DEBBComponentsSplitter.java	(revision 689)
@@ -16,9 +16,9 @@
 
 	//	Actually not needed
-	private static final String DEFAULT_OUTPUT_FILE_NAME = "xml/DEBBComponents_Splitted.xml";
+	private static final String DEFAULT_OUTPUT_FILE_NAME = "src/test/DEBBTranslator/xml/DEBBComponents_Splitted.xml";
 	
-	private static final String DEFAULT_INPUT_FILE_NAME = "xml/DEBBComponents.xml";
+	private static final String DEFAULT_INPUT_FILE_NAME = "src/test/DEBBTranslator/xml/DEBBComponents.xml";
 	
-	private static final String DEFAULT_PLMXML_TRANSFORMATION_FILE_NAME = "xml/DEBBComponentsSplitter.xsl";
+	private static final String DEFAULT_PLMXML_TRANSFORMATION_FILE_NAME = "src/test/DEBBTranslator/xml/DEBBComponentsSplitter.xsl";
 
 	/**
Index: DCWoRMS/trunk/src/test/DEBBTranslator/src/DCWoRMSElementsSorter.java
===================================================================
--- DCWoRMS/trunk/src/test/DEBBTranslator/src/DCWoRMSElementsSorter.java	(revision 671)
+++ DCWoRMS/trunk/src/test/DEBBTranslator/src/DCWoRMSElementsSorter.java	(revision 689)
@@ -15,7 +15,7 @@
 public class DCWoRMSElementsSorter {
 
-	private static final String DEFAULT_OUTPUT_FILE_NAME = "xml/PLMXML_TEST_SORTED.xml";
-	private static final String DEFAULT_INPUT_FILE_NAME = "xml/PLMXML_TEST.xml";
-	private static final String DEFAULT_PLMXML_TRANSFORMATION_FILE_NAME = "xml/DCWoRMSElementsSorter.xsl";
+	private static final String DEFAULT_OUTPUT_FILE_NAME = "src/test/DEBBTranslator/xml/PLMXML_TEST_SORTED.xml";
+	private static final String DEFAULT_INPUT_FILE_NAME = "src/test/DEBBTranslator/xml/PLMXML_TEST.xml";
+	private static final String DEFAULT_PLMXML_TRANSFORMATION_FILE_NAME = "src/test/DEBBTranslator/xml/DCWoRMSElementsSorter.xsl";
 	
 