Index: DCWoRMS/trunk/src/test/DEBBTranslator/xml/DEBBComponentTranslator.xsl
===================================================================
--- DCWoRMS/trunk/src/test/DEBBTranslator/xml/DEBBComponentTranslator.xsl	(revision 640)
+++ DCWoRMS/trunk/src/test/DEBBTranslator/xml/DEBBComponentTranslator.xsl	(revision 692)
@@ -6,11 +6,13 @@
 	<xsl:output method="xml" version="1.0" encoding="UTF-8"
 		indent="yes" />
-		
-	<!-- Information for mapping of DEBB classes into DCWoRMS computingResource classes -->
-	<xsl:param name="computingResourceClasses" select="computingResourceClasses"/>
-
-	<!-- Information for mapping of resource classes into DCWoRMS resourceUnits classes -->
-	<xsl:param name="resourceUnitClasses" select="resourceUnitClasses"/>
-			
+
+	<!-- Information for mapping of DEBB classes into DCWoRMS computingResource 
+		classes -->
+	<xsl:param name="computingResourceClasses" select="computingResourceClasses" />
+
+	<!-- Information for mapping of resource classes into DCWoRMS resourceUnits 
+		classes -->
+	<xsl:param name="resourceUnitClasses" select="resourceUnitClasses" />
+
 	<xsl:template match="/">
 		<xsl:element name="environment">
@@ -37,10 +39,10 @@
 				<xsl:value-of select="$newComponentId" />
 			</xsl:attribute>
-			<xsl:call-template name="translateComputingElement"/>
+			<xsl:call-template name="translateComputingElement" />
 		</xsl:element>
 	</xsl:template>
 
 	<xsl:template match="//*[ComponentId]">
-		<xsl:call-template name="translateComputingElement"/>
+		<xsl:call-template name="translateComputingElement" />
 	</xsl:template>
 
@@ -77,10 +79,10 @@
 				</xsl:element>
 			</xsl:element>
-		</xsl:if>	
+		</xsl:if>
 	</xsl:template>
 
 	<xsl:template match="Baseboard">
 		<xsl:element name="parameter">
-			<xsl:attribute name="name">Baseboard</xsl:attribute>
+			<xsl:attribute name="name">baseboard</xsl:attribute>
 			<!-- Don't call BasicDEBBPhysicalElementParameters, because parameter 
 				cannot contain parameters. Must be parameter containing properties. -->
@@ -91,7 +93,7 @@
 	<xsl:template match="Sensor">
 		<xsl:element name="parameter">
-			<xsl:attribute name="name">Sensor</xsl:attribute>
-			<xsl:element name="property">
-				<xsl:attribute name="name">Class</xsl:attribute>
+			<xsl:attribute name="name">sensor</xsl:attribute>
+			<xsl:element name="property">
+				<xsl:attribute name="name">class</xsl:attribute>
 				<xsl:element name="value">
 					<xsl:value-of select="Class" />
@@ -99,5 +101,5 @@
 			</xsl:element>
 			<xsl:element name="property">
-				<xsl:attribute name="name">Unit</xsl:attribute>
+				<xsl:attribute name="name">unit</xsl:attribute>
 				<xsl:element name="value">
 					<xsl:value-of select="Unit" />
@@ -106,5 +108,5 @@
 			<xsl:if test="MinValue">
 				<xsl:element name="property">
-					<xsl:attribute name="name">MinValue</xsl:attribute>
+					<xsl:attribute name="name">minValue</xsl:attribute>
 					<xsl:element name="value">
 						<xsl:value-of select="MinValue" />
@@ -114,5 +116,5 @@
 			<xsl:if test="MaxValue">
 				<xsl:element name="property">
-					<xsl:attribute name="name">MaxValue</xsl:attribute>
+					<xsl:attribute name="name">maxValue</xsl:attribute>
 					<xsl:element name="value">
 						<xsl:value-of select="MaxValue" />
@@ -122,5 +124,5 @@
 			<xsl:if test="Factor">
 				<xsl:element name="property">
-					<xsl:attribute name="name">Factor</xsl:attribute>
+					<xsl:attribute name="name">factor</xsl:attribute>
 					<xsl:element name="value">
 						<xsl:value-of select="Factor" />
@@ -130,5 +132,5 @@
 			<xsl:if test="Accuracy">
 				<xsl:element name="property">
-					<xsl:attribute name="name">Accuracy</xsl:attribute>
+					<xsl:attribute name="name">accuracy</xsl:attribute>
 					<xsl:element name="value">
 						<xsl:value-of select="Accuracy" />
@@ -148,5 +150,5 @@
 			<xsl:call-template name="BasicDEBBPhysicalElementParameters" />
 			<xsl:element name="parameter">
-				<xsl:attribute name="name">MaxClockSpeed</xsl:attribute>
+				<xsl:attribute name="name">speed</xsl:attribute>
 				<xsl:element name="value">
 					<xsl:value-of select="MaxClockSpeed" />
@@ -157,8 +159,16 @@
 				<xsl:element name="profile">
 					<xsl:element name="powerProfile">
-						<xsl:element name="powerStates">
-							<xsl:apply-templates select="PState" />
-							<xsl:apply-templates select="CState" />
-						</xsl:element>
+						<xsl:if test="PState/Transition">
+							<xsl:element name="powerStates">
+								<xsl:element name="powerState">
+									<!-- TODO: What to take if from??? -->
+									<xsl:element name="name">DummyName</xsl:element>
+									<xsl:element name="powerUsage">0</xsl:element>
+									<xsl:apply-templates select="PState/Transition" />
+								</xsl:element>
+							</xsl:element>
+						</xsl:if>
+						<xsl:apply-templates select="PState" />
+						<xsl:apply-templates select="CState" />
 					</xsl:element>
 				</xsl:element>
@@ -168,17 +178,28 @@
 
 	<xsl:template match="PState">
-		<xsl:element name="powerState">
-			<xsl:call-template name="BasicStateParameters" />
-			<!-- Voltage & Frequency -->
-			<xsl:element name="parameter">
-				<xsl:attribute name="name">Voltage</xsl:attribute>
+		<xsl:element name="parameter">
+			<xsl:attribute name="name">pState</xsl:attribute>
+			<xsl:element name="property">
+				<xsl:attribute name="name">name</xsl:attribute>
+				<xsl:element name="value">
+					<xsl:value-of select="State" />
+				</xsl:element>
+			</xsl:element>
+			<xsl:element name="property">
+				<xsl:attribute name="name">frequency</xsl:attribute>
+				<xsl:element name="value">
+					<xsl:value-of select="Frequency" />
+				</xsl:element>
+			</xsl:element>
+			<xsl:element name="property">
+				<xsl:attribute name="name">voltage</xsl:attribute>
 				<xsl:element name="value">
 					<xsl:value-of select="Voltage" />
 				</xsl:element>
 			</xsl:element>
-			<xsl:element name="parameter">
-				<xsl:attribute name="name">Frequency</xsl:attribute>
-				<xsl:element name="value">
-					<xsl:value-of select="Frequency" />
+			<xsl:element name="property">
+				<xsl:attribute name="name">powerUsage</xsl:attribute>
+				<xsl:element name="value">
+					<xsl:value-of select="PowerUsage" />
 				</xsl:element>
 			</xsl:element>
@@ -187,6 +208,20 @@
 
 	<xsl:template match="CState">
-		<xsl:element name="powerState">
-			<xsl:call-template name="BasicStateParameters" />
+		<!-- <xsl:element name="powerState"> -->
+		<!-- <xsl:call-template name="BasicStateParameters" /> -->
+		<!-- </xsl:element> -->
+	</xsl:template>
+
+	<xsl:template match="PState/Transition">
+		<xsl:element name="transition">
+			<xsl:element name="to">
+				<xsl:value-of select="ToState" />
+			</xsl:element>
+			<xsl:element name="powerUsage">
+				<xsl:value-of select="PowerUsage" />
+			</xsl:element>
+			<xsl:element name="time">
+				<xsl:value-of select="Time" />
+			</xsl:element>
 		</xsl:element>
 	</xsl:template>
@@ -214,5 +249,5 @@
 	<xsl:template match="PowerSupply">
 		<xsl:element name="parameter">
-			<xsl:attribute name="name">PowerSupply</xsl:attribute>
+			<xsl:attribute name="name">powerSupply</xsl:attribute>
 			<!-- Don't call BasicDEBBPhysicalElementParameters, because parameter 
 				cannot contain parameters. Must be parameter containing properties. -->
@@ -240,5 +275,5 @@
 			</xsl:element>
 			<xsl:element name="parameter">
-				<xsl:attribute name="name">Interface</xsl:attribute>
+				<xsl:attribute name="name">interface</xsl:attribute>
 				<xsl:element name="value">
 					<xsl:value-of select="Interface" />
@@ -257,5 +292,5 @@
 			<!-- Obligatory attribute -->
 			<xsl:element name="property">
-				<xsl:attribute name="name">Class</xsl:attribute>
+				<xsl:attribute name="name">class</xsl:attribute>
 				<xsl:element name="value">
 					<xsl:value-of select="Class" />
@@ -264,5 +299,5 @@
 			<xsl:if test="MaxCoolingCapacity">
 				<xsl:element name="property">
-					<xsl:attribute name="name">MaxCoolingCapacity</xsl:attribute>
+					<xsl:attribute name="name">maxCoolingCapacity</xsl:attribute>
 					<xsl:element name="value">
 						<xsl:value-of select="MaxCoolingCapacity" />
@@ -272,5 +307,5 @@
 			<xsl:if test="MaxAirThroughput">
 				<xsl:element name="property">
-					<xsl:attribute name="name">MaxAirThroughput</xsl:attribute>
+					<xsl:attribute name="name">maxAirThroughput</xsl:attribute>
 					<xsl:element name="value">
 						<xsl:value-of select="MaxAirThroughput" />
@@ -280,5 +315,5 @@
 			<xsl:if test="MaxWaterThroughput">
 				<xsl:element name="property">
-					<xsl:attribute name="name">MaxWaterThroughput</xsl:attribute>
+					<xsl:attribute name="name">maxWaterThroughput</xsl:attribute>
 					<xsl:element name="value">
 						<xsl:value-of select="MaxWaterThroughput" />
@@ -324,5 +359,5 @@
 	<xsl:template match="Transition">
 		<xsl:element name="parameter">
-			<xsl:attribute name="name">ToState</xsl:attribute>
+			<xsl:attribute name="name">toState</xsl:attribute>
 			<xsl:element name="value">
 				<xsl:value-of select="ToState" />
@@ -330,5 +365,5 @@
 		</xsl:element>
 		<xsl:element name="parameter">
-			<xsl:attribute name="name">PowerUsage</xsl:attribute>
+			<xsl:attribute name="name">powerUsage</xsl:attribute>
 			<xsl:element name="value">
 				<xsl:value-of select="PowerUsage" />
@@ -336,5 +371,5 @@
 		</xsl:element>
 		<xsl:element name="parameter">
-			<xsl:attribute name="name">Time</xsl:attribute>
+			<xsl:attribute name="name">time</xsl:attribute>
 			<xsl:element name="value">
 				<xsl:value-of select="Time" />
@@ -347,5 +382,5 @@
 		<xsl:if test="Manufacturer">
 			<xsl:element name="parameter">
-				<xsl:attribute name="name">Manufacturer</xsl:attribute>
+				<xsl:attribute name="name">manufacturer</xsl:attribute>
 				<xsl:element name="value">
 					<xsl:value-of select="Manufacturer" />
@@ -355,5 +390,5 @@
 		<xsl:if test="Product">
 			<xsl:element name="parameter">
-				<xsl:attribute name="name">Product</xsl:attribute>
+				<xsl:attribute name="name">product</xsl:attribute>
 				<xsl:element name="value">
 					<xsl:value-of select="Product" />
@@ -363,5 +398,5 @@
 		<xsl:if test="MaxPower">
 			<xsl:element name="parameter">
-				<xsl:attribute name="name">MaxPower</xsl:attribute>
+				<xsl:attribute name="name">maxPower</xsl:attribute>
 				<xsl:element name="value">
 					<xsl:value-of select="MaxPower" />
@@ -374,5 +409,5 @@
 		<xsl:if test="Manufacturer">
 			<xsl:element name="property">
-				<xsl:attribute name="name">Manufacturer</xsl:attribute>
+				<xsl:attribute name="name">manufacturer</xsl:attribute>
 				<xsl:element name="value">
 					<xsl:value-of select="Manufacturer" />
@@ -382,5 +417,5 @@
 		<xsl:if test="Product">
 			<xsl:element name="property">
-				<xsl:attribute name="name">Product</xsl:attribute>
+				<xsl:attribute name="name">product</xsl:attribute>
 				<xsl:element name="value">
 					<xsl:value-of select="Product" />
@@ -390,5 +425,5 @@
 		<xsl:if test="MaxPower">
 			<xsl:element name="property">
-				<xsl:attribute name="name">MaxPower</xsl:attribute>
+				<xsl:attribute name="name">maxPower</xsl:attribute>
 				<xsl:element name="value">
 					<xsl:value-of select="MaxPower" />
Index: DCWoRMS/trunk/src/test/DEBBTranslator/xml/DCWoRMSELementsSorter.xsl
===================================================================
--- DCWoRMS/trunk/src/test/DEBBTranslator/xml/DCWoRMSELementsSorter.xsl	(revision 649)
+++ DCWoRMS/trunk/src/test/DEBBTranslator/xml/DCWoRMSELementsSorter.xsl	(revision 692)
@@ -20,6 +20,6 @@
 	<xsl:template match="resources">
 		<xsl:copy copy-namespaces="no">
+			<xsl:apply-templates select="//resources/computingResource" />
 			<xsl:copy-of select="scheduler"/>
-			<xsl:apply-templates select="//resources/computingResource" />
 		</xsl:copy>
 	</xsl:template>
Index: DCWoRMS/trunk/src/test/DEBBTranslator/xml/PLMXMLTranslator.xsl
===================================================================
--- DCWoRMS/trunk/src/test/DEBBTranslator/xml/PLMXMLTranslator.xsl	(revision 646)
+++ DCWoRMS/trunk/src/test/DEBBTranslator/xml/PLMXMLTranslator.xsl	(revision 692)
@@ -30,6 +30,6 @@
 			<xsl:attribute name="xsi:noNamespaceSchemaLocation">DCWormsResSchema.xsd</xsl:attribute>
 			<xsl:element name="resources">
-				<xsl:element name="scheduler"></xsl:element>
 				<xsl:apply-templates select="//plm:InstanceGraph" />
+				<xsl:element name="scheduler"></xsl:element>				
 			</xsl:element>
 		</xsl:element>