Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 683)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 698)
@@ -1,77 +1,69 @@
 \relax 
+\citation{GreenCloud}
+\citation{CloudSim}
+\citation{DCSG}
 \@writefile{toc}{\contentsline {section}{\numberline {1}Introduction}{1}}
 \@writefile{toc}{\contentsline {section}{\numberline {2}Related Work}{1}}
-\citation{GreenCloud}
-\@writefile{toc}{\contentsline {subsection}{\numberline {2.1}GreenCloud}{2}}
-\citation{CloudSim}
-\@writefile{toc}{\contentsline {subsection}{\numberline {2.2}CloudSim}{3}}
-\citation{SWF}
-\citation{DCSG}
-\@writefile{toc}{\contentsline {subsection}{\numberline {2.3}DCSG Simulator}{4}}
-\citation{DCD_Romonet}
 \citation{GSSIM}
-\@writefile{toc}{\contentsline {subsection}{\numberline {2.4}Summary}{5}}
-\@writefile{toc}{\contentsline {section}{\numberline {3}DCWoRMS}{5}}
+\@writefile{toc}{\contentsline {section}{\numberline {3}DCWoRMS}{4}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {3.1}Architecture}{4}}
 \citation{GWF}
 \citation{SLURM}
 \citation{TORQUE}
 \citation{Ghislain}
-\@writefile{lof}{\contentsline {figure}{\numberline {1}{\ignorespaces  DCWoRMS architecture}}{6}}
-\newlabel{fig:arch}{{1}{6}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {3.1}Architecture}{6}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {3.2}Workload modeling}{7}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {3.3}Resource modeling}{7}}
-\@writefile{lof}{\contentsline {figure}{\numberline {2}{\ignorespaces  Levels of information about jobs}}{8}}
-\newlabel{fig:jobsStructure}{{2}{8}}
+\@writefile{lof}{\contentsline {figure}{\numberline {1}{\ignorespaces  DCWoRMS architecture}}{5}}
+\newlabel{fig:arch}{{1}{5}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {3.2}Workload modeling}{5}}
+\@writefile{lof}{\contentsline {figure}{\numberline {2}{\ignorespaces  Levels of information about jobs}}{6}}
+\newlabel{fig:jobsStructure}{{2}{6}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {3.3}Resource modeling}{6}}
 \citation{GSSIM_Energy}
-\@writefile{toc}{\contentsline {subsection}{\numberline {3.4}Energy management concept in DCWoRMS}{9}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {3.4.1}Power management}{10}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Power profile}}{10}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Power consumption model}}{10}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Power management interface}}{10}}
-\@writefile{lof}{\contentsline {figure}{\numberline {3}{\ignorespaces  Power consumption modeling}}{11}}
-\newlabel{fig:powerModel}{{3}{11}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {3.4.2}Air throughput management concept}{11}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Air throughput profile}}{11}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Air throughput model}}{11}}
-\@writefile{lof}{\contentsline {figure}{\numberline {4}{\ignorespaces  Air throughput modeling}}{12}}
-\newlabel{fig:airModel}{{4}{12}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Air throughput management interface}}{12}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {3.4.3}Thermal management concept}{12}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Thermal profile}}{12}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Temperature estimation model}}{12}}
-\@writefile{lof}{\contentsline {figure}{\numberline {5}{\ignorespaces  Temperature estimation modeling}}{13}}
-\newlabel{fig:tempModel}{{5}{13}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Thermal resource management interface}}{13}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {3.5}Application performance modeling}{13}}
-\newlabel{sec:apps}{{3.5}{13}}
-\@writefile{toc}{\contentsline {section}{\numberline {4}Modeling of energy efficiency in DCWoRMS}{14}}
-\newlabel{eq:E}{{1}{14}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {4.1}Power consumption models}{15}}
-\newlabel{sec:power}{{4.1}{15}}
-\newlabel{eq:ohm-law}{{2}{15}}
-\newlabel{fig:power}{{4.1}{16}}
-\@writefile{lof}{\contentsline {figure}{\numberline {6}{\ignorespaces Average power usage with regard to CPU frequency\\ \textbf  {Tests}: Linpack (\emph  {green}), Abinit (\emph  {purple}), Namd (\emph  {blue}) and Cpuburn (\emph  {red}). \\ }}{16}}
-\@writefile{lof}{\contentsline {figure}{\numberline {7}{\ignorespaces  Power in time for highest frequency}}{16}}
-\newlabel{fig:fans_P}{{7}{16}}
-\newlabel{eq:static}{{3}{17}}
-\newlabel{eq:load}{{4}{17}}
-\newlabel{eq:app}{{5}{17}}
-\@writefile{lof}{\contentsline {figure}{\numberline {8}{\ignorespaces  Temperature in time for highest frequency}}{18}}
-\newlabel{fig:tempModel}{{8}{18}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {4.2}Air throughput models}{18}}
-\newlabel{sec:air}{{4.2}{18}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {4.3}Thermal models}{18}}
-\newlabel{sec:thermal}{{4.3}{18}}
-\@writefile{toc}{\contentsline {section}{\numberline {5}Experiments and evaluation}{19}}
-\newlabel{sec:experiments}{{5}{19}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {5.1}Testbed description}{19}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {5.2}Computational analysis}{19}}
-\@writefile{lot}{\contentsline {table}{\numberline {1}{\ignorespaces CoolEmAll testbed}}{20}}
-\@writefile{toc}{\contentsline {section}{\numberline {6}DCWoRMS application/use cases}{20}}
-\newlabel{sec:coolemall}{{6}{20}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {3.4}Energy management concept in DCWoRMS}{8}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {3.4.1}Power management}{8}}
+\@writefile{toc}{\contentsline {paragraph}{\textbf  {Power profile}}{8}}
+\@writefile{lof}{\contentsline {figure}{\numberline {3}{\ignorespaces  Power consumption modeling}}{9}}
+\newlabel{fig:powerModel}{{3}{9}}
+\@writefile{toc}{\contentsline {paragraph}{\textbf  {Power consumption model}}{9}}
+\@writefile{toc}{\contentsline {paragraph}{\textbf  {Power management interface}}{9}}
+\@writefile{lof}{\contentsline {figure}{\numberline {4}{\ignorespaces  Air throughput modeling}}{10}}
+\newlabel{fig:airModel}{{4}{10}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {3.4.2}Air throughput management concept}{10}}
+\@writefile{toc}{\contentsline {paragraph}{\textbf  {Air throughput profile}}{10}}
+\@writefile{toc}{\contentsline {paragraph}{\textbf  {Air throughput model}}{10}}
+\@writefile{toc}{\contentsline {paragraph}{\textbf  {Air throughput management interface}}{10}}
+\@writefile{lof}{\contentsline {figure}{\numberline {5}{\ignorespaces  Temperature estimation modeling}}{11}}
+\newlabel{fig:tempModel}{{5}{11}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {3.4.3}Thermal management concept}{11}}
+\@writefile{toc}{\contentsline {paragraph}{\textbf  {Thermal profile}}{11}}
+\@writefile{toc}{\contentsline {paragraph}{\textbf  {Temperature estimation model}}{11}}
+\@writefile{toc}{\contentsline {paragraph}{\textbf  {Thermal resource management interface}}{11}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {3.5}Application performance modeling}{12}}
+\newlabel{sec:apps}{{3.5}{12}}
+\@writefile{toc}{\contentsline {section}{\numberline {4}Modeling of energy efficiency in DCWoRMS}{12}}
+\newlabel{eq:E}{{1}{13}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {4.1}Power consumption models}{13}}
+\newlabel{sec:power}{{4.1}{13}}
+\newlabel{fig:power}{{4.1}{14}}
+\@writefile{lof}{\contentsline {figure}{\numberline {6}{\ignorespaces Average power usage with regard to CPU frequency\\ \textbf  {Tests}: Linpack (\emph  {green}), Abinit (\emph  {purple}), Namd (\emph  {blue}) and Cpuburn (\emph  {red}). \\ }}{14}}
+\newlabel{eq:ohm-law}{{2}{14}}
+\@writefile{lof}{\contentsline {figure}{\numberline {7}{\ignorespaces  Power in time for highest frequency}}{15}}
+\newlabel{fig:fans_P}{{7}{15}}
+\newlabel{eq:static}{{3}{15}}
+\newlabel{eq:load}{{4}{15}}
+\newlabel{eq:app}{{5}{16}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {4.2}Air throughput models}{16}}
+\newlabel{sec:air}{{4.2}{16}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {4.3}Thermal models}{16}}
+\newlabel{sec:thermal}{{4.3}{16}}
+\@writefile{lof}{\contentsline {figure}{\numberline {8}{\ignorespaces  Temperature in time for highest frequency}}{17}}
+\newlabel{fig:tempModel}{{8}{17}}
+\@writefile{toc}{\contentsline {section}{\numberline {5}Experiments and evaluation}{17}}
+\newlabel{sec:experiments}{{5}{17}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {5.1}Testbed description}{17}}
+\@writefile{lot}{\contentsline {table}{\numberline {1}{\ignorespaces CoolEmAll testbed}}{18}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {5.2}Computational analysis}{18}}
+\@writefile{toc}{\contentsline {section}{\numberline {6}DCWoRMS application/use cases}{18}}
+\newlabel{sec:coolemall}{{6}{18}}
 \bibcite{CloudSim}{{1}{}{{}}{{}}}
-\@writefile{toc}{\contentsline {section}{\numberline {7}Conclusions and future work}{21}}
-\newlabel{}{{7}{21}}
 \bibcite{DCSG}{{2}{}{{}}{{}}}
 \bibcite{DCD_Romonet}{{3}{}{{}}{{}}}
@@ -79,4 +71,6 @@
 \bibcite{GreenCloud}{{5}{}{{}}{{}}}
 \bibcite{GSSIM}{{6}{}{{}}{{}}}
+\@writefile{toc}{\contentsline {section}{\numberline {7}Conclusions and future work}{20}}
+\newlabel{}{{7}{20}}
 \bibcite{GSSIM_Energy}{{7}{}{{}}{{}}}
 \bibcite{GWF}{{8}{}{{}}{{}}}
Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk	(revision 683)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.fdb_latexmk	(revision 698)
@@ -1,4 +1,4 @@
 # Fdb version 2
-["pdflatex"] 1354276848 "elsarticle-DCWoRMS.tex" "elsarticle-DCWoRMS.pdf" "elsarticle-DCWoRMS" 
+["pdflatex"] 1355212440 "elsarticle-DCWoRMS.tex" "elsarticle-DCWoRMS.pdf" "elsarticle-DCWoRMS" 
   "/usr/local/texlive/2010/texmf-dist/tex/context/base/supp-pdf.mkii" 1251025892 71625 fad1c4b52151c234b6873a255b0ad6b3 ""
   "/usr/local/texlive/2010/texmf-dist/tex/generic/oberdiek/etexcmds.sty" 1267408169 5670 cacb018555825cfe95cd1e1317d82c1d ""
@@ -29,7 +29,7 @@
   "/usr/local/texlive/2010/texmf-dist/tex/latex/psnfss/upsy.fd" 1137110629 148 2da0acd77cba348f34823f44cabf0058 ""
   "/usr/local/texlive/2010/texmf-dist/tex/latex/psnfss/upzd.fd" 1137110629 148 b2a94082cb802f90d3daf6dd0c7188a0 ""
-  "elsarticle-DCWoRMS.aux" 1354276849 5209 54e9f1c541edd83c60cc5bddca9dccb6 ""
-  "elsarticle-DCWoRMS.spl" 1354276849 0 d41d8cd98f00b204e9800998ecf8427e ""
-  "elsarticle-DCWoRMS.tex" 1354276842 50803 8cefc123a856e5b1a7bad73cc4b4240b ""
+  "elsarticle-DCWoRMS.aux" 1355212441 4858 c068b49215849c7b0a7ef2e211f5fdfc ""
+  "elsarticle-DCWoRMS.spl" 1355212440 0 d41d8cd98f00b204e9800998ecf8427e ""
+  "elsarticle-DCWoRMS.tex" 1355212439 47950 cef673b69b9ca67955a0c264aa73a21b ""
   "elsarticle.cls" 1352447924 26095 ad44f4892f75e6e05dca57a3581f78d1 ""
   "fig/airModel.png" 1353405890 41411 f33639119a59ae1d2eabb277137f0042 ""
Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 683)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 698)
@@ -144,56 +144,21 @@
 \section{Related Work}
 
-The growing importance of energy efficiency in information technologies led to significant interest in energy saving methods for computing systems. Therefore, intelligent resource management policies are gaining popularity when considering the energy efficiency of IT infrastructures. Nevertheless, studies of impact of scheduling strategies on energy consumption require a large effort and are difficult to perform in real distributed environments. To overcome these issues extensive research has been conducted in the area of modeling and simulation tools. As a result, a wide variety of simulation tools emerged. The following section contains a short summary of existing simulators that address the green computing issues in distributed infrastructures. 
-
-\subsection{GreenCloud}
-
-GreenCloud \cite{GreenCloud} is a C++ based simulation environment for energy-aware cloud computing data centers. It was developed as an extension of the NS2 network simulator. GreenCloud allows researchers to observe and evaluate data centers performance and study their energy-efficiency, focusing mainly on the communications within a data center. Along with the workload distribution, it offers users a detailed, fine-grained modeling of the energy consumed by the elements of the data center. 
-
-To deliver information about the energy usage, GreenCloud distinguishes three energy consumption components: computing energy, communicational energy, and the energy component related to the physical infrastructure of a data center. This approach enables modeling energy usage associated with computations, network operations and cooling systems. In GreenCloud, the energy models are implemented for every simulated data center entity (computing servers, core and rack switches). Moreover, due to the advantage in the simulation resolution, energy models can operate at the network packet level as well. This allows updating the levels of energy consumption whenever a new packet leaves or arrives from the link, or whenever a new task execution is started or completed at the server.
-Servers are modeled as single core nodes that are responsible for task execution and may contain different scheduling strategies.
-The server power consumption model implemented in GreenCloud depends on the server state as well as its utilization and allows capturing the effects of both of the Dynamic Voltage and Frequency Scaling (DVFS) and Dynamic Power Management (DPM) schemes.
-At the links and switches level, GreenCloud supports Dynamic Voltage Scaling (DVS) and Dynamic Network Shutdown (DNS) techniques. The DVS method introduces a control element at each port of the switch that - depending on the traffic pattern and current levels of link utilization - could downgrade the transmission rate. The DNS approach allows putting some network equipment into a sleep mode. 
-
-To cover the vast majority of cloud computing applications, GreenCloud defines three types of workloads: computationally intensive workloads that load computing servers considerably, data-intensive workloads that require heavy data transfers, and finally balanced workloads which aim to model the applications having both computing and data transfer requirements.
-GreenCloud describes application with a number of computational requirements. Moreover, it specifies communication requirements of the applications in terms of the amount of data to be transferred before and after a task completion. The execution of each application requires a successful completion of its two main components: computing and communicational. 
-In addition time constraints can be taken into account during the simulation by adding a predefined execution deadline, which aims at introducing Quality of Service constraints specified in a Service Level Agreement. Nevertheless, GreenCloud does not support application performance modeling. Aforementioned capabilities allow only incorporating simple requirements that need to be satisfied before and during the task execution.
-
-Contrary to what the GreenCloud name may suggest, it does not allow testing the impact of a virtualization-based approach on the resource management. 
-GreenCloud simulator is released under the General Public License Agreement.
-
-
-\subsection{CloudSim}
-
-CloudSim \cite{CloudSim} is an event-based simulation tool written in Java. Initially CloudSim was based on the well-known GridSim framework, however since the last few releases it is an independent simulator and does not benefit from most of the GridSim functionality. 
-
-CloudSim allows creating a simple resources hierarchy containing computing resources that consist of machines and processors. Additionally, it may simulate the behavior of other components including storage and network resources. However, it focuses on computational resources and provides an extra virtualization layer that acts as an execution, management, and hosting environment for application services. It is responsible for the VM provisioning process as well as managing the VM life cycle such as: VM creation, VM destruction, and VM migration. It also enables evaluation of different economic policies by modeling the cost metrics related to the SaaS and IaaS models.
-
-The CloudSim framework provides basic models and entities to validate and evaluate energy-conscious provisioning of techniques and algorithms. Each computing node can be extended with a power model that simulates the power consumption. CloudSim offers example implementations of this component that characterize some popular server models. Needless to say, it can be easily extended for simulating user-defined power consumption models. That allows estimating the current power usage according to the utilization level or the host model. This capability enables the creation of energy-conscious provisioning policies that require real-time knowledge of power consumption by Cloud system components.
-Furthermore, it allows an accounting of the total energy consumed by the system during the simulation period. CloudSim comes with a set of predefined and extendable policies that manage the process of VM migrations in order to optimize the power consumption. However, the proposed solution is not appropriate for more sophisticated power management policies. In particular, CloudSim is not sufficient for modeling frequency scaling techniques and managing resource power states.
-
-Similar to GreenCloud, CloudSim defines a simple application model that includes computational and data requirements. Although all these constraints are taken into account during scheduling, they do not affect the application execution. Thereby, a researcher is required to put a lot of effort to incorporate an application performance model into his experiments.
-On the other hand CloudSim offers modeling of utilization models that are used to estimate the current load of processor, bandwidth and memory and can be taken into account during the task allocation process.
-Concerning workloads, simulator is able to partially support SWF \cite{SWF} files and read data in a user-defined file format. Moreover, it can handle a wide variety of workload types, including parallel, and pre-emptive jobs.
-
-CloudSim is available as Open Source under GPL license.
-
-
-\subsection{DCSG Simulator}
-
-DCSG Simulator \cite{DCSG} is a Data Centre Cost and Energy Simulator that has been developed under the Carbon Trust Low Carbon Collaborations program in conjunction with the BCS and Romonet Ltd. The simulator works at a data center infrastructure level where analysis of the achieved efficiency of the data center mechanical and electrical plant can be performed but also at the IT level. The simulator implements a set of basic rules that have been developed, based on a detailed understanding of the data center as a system, to allow cost and energy use to be usefully allocated to IT devices within the data center. 
-
-As far as data center infrastructure level is concerned, DCSG Simulator calculates the power and cooling schema of data center equipment with respect to their performance. User is able to take into account a wide variety of mechanical and electrical devices like: transformers, power distribution units, power supply, cabling, computer room air conditioning units and chiller plant. For each of them numerous factors can be defined, including device capacity and efficiency, load operating points. These data can be derived from a generic list as well as from the information given by particular manufacturers. There is a wide range of pre-defined models, but user can easily extend them or create new ones.
-
-To perform the IT simulation, it is possible to extend the data center infrastructure by putting IT devices into that data center. That enables detailed simulation of the energy efficiency of devices across a specified time period. 
-In this case performance of each piece of equipment (facility and IT) within a data center is determined by a combination of factors, including workload, data center conditions, the manufacturer's specifications of the machine's components and the way in which the machine is utilized based on its provisioned IT load. 
-Users are possible to bind the operational characteristics, proper to the particular geographic locations, with the simulation process. These characteristics may include temperature profile as well as the power cost that vary depending on the time and place. The output of this simulation is a set of energy and cost data representing the IT devices (including PUE and DCiE) and data center energy consumption, capital and operational costs.
-
-
-According to the tool evaluation presented in \cite{DCD_Romonet} an accuracy of models delivered by Romonet is at the level of 95\% when compared with metered data. The simulator is available under an OSL V3.0 open-source license, however it can be only accessed by the DCSG Members.
-
-
-\subsection{Summary}
-
-TODO - short summary of current SoTA
+TODO - shorten, correct (ITS A DRAFT VERSION)
+
+The growing importance of energy efficiency in information technologies led to significant interest in energy saving methods for computing systems. Therefore, intelligent resource management policies are gaining popularity when considering the energy efficiency of IT infrastructures. Nevertheless, studies of impact of scheduling strategies on energy consumption require a large effort and are difficult to perform in real distributed environments. To overcome these issues extensive research has been conducted in the area of modeling and simulation tools. As a result, a wide variety of simulation tools that address the green computing issues in distributed infrastructures have been proposed. Among them the most popular ones are: GreenCloud \cite{GreenCloud}, CloudSim \cite{CloudSim} and DCSG Simulator \cite{DCSG}
+
+GreenCloud is a C++ based simulation environment for studying the energy-efficiency of cloud computing data centers CloudSim is a simulation tool that allows modeling of cloud computing environments and evaluation of resource provisioning algorithms. Finally, the DCSG Simulator is a data center cost and energy simulator calculating the power and cooling schema of the data center equipment. 
+
+Although the aforementioned toolkits are capable of establishing the data center environment, none of them provides user with flexibility in the term of detailed resource modeling. GreenCloud defines switches, links and servers that are representedas single core nodes that are responsible for task execution and may contain different scheduling strategies. Contrary to what the GreenCloud name may suggest, it does not allow testing the impact of a virtualization-based approach on the resource management. 
+CloudSim allows creating a simple resources hierarchy containing computing and network resources that consist of machines and processors. To simulate a real cloud computing data center, it provides an extra virtualization layer that acts as an execution, management, and hosting environment for application services. It is responsible for the VM provisioning process as well as managing the VM life cycle with respect to the cost metrics and economic policies.
+In DCSG Simulator, user is able to take into account a wide variety of mechanical and electrical devices and for each of them numerous factors can be defined, including device capacity and efficiency as well as data center conditions. Apart from data center facilities the IT equipment can be modeled and simulated.
+
+The general idea behind all of the analyzed tools is to enable studies concerning energy efficiency in distributed infrastructures. GreenCloud approach enables fine-grained modeling of energy usage associated with computing servers and network components. For example, the server power consumption model implemented in GreenCloud depends on the server state as well as its utilization. The CloudSim framework provides basic models to validate and evaluate energy-conscious provisioning of techniques and algorithms. Each computing node can be extended with a power model that estimates the current the power consumption. Within the DCSG Simulator, performance of each data center equipment (facility and IT) is determined by a combination of factors, including workload, local conditions, the manufacturer's specifications of the machine's components and the way in which the machine is utilized based on its provisioned IT load. In DCWoRMS, the plugin idea has been introduced that offers emulating the behavior of computing resources in terms of power consumption. Additionally, it delivers detailed information concerning resource and application characteristics needed to define more sophisticated power draw models.
+
+In order to emulate the behavior of real computing systems, green computing simulator should address also the energy-aware resource management. In this term, GreenCloud offers capturing the effects of both of the Dynamic Voltage and Frequency Scaling (DVFS) and Dynamic Power Management (DPM) schemes. At the links and switches level, it supports downgrading the transmission rate and putting some network equipment into a sleep mode, respectively. CloudSim comes with a set of predefined and extendable policies that manage the process of VM migrations according to the total energy consumed in order to optimize the power consumption. However, the proposed approach is not sufficient for modeling more sophisticated policies like frequency scaling techniques and managing resource power states. With respect to the white paper, Romonetâs tool implements a set of basic energy-efficient rules that have been developed on the basis of detailed understanding of the data center as a system. The output of this simulation is a set of energy and cost data representing the IT devices (including PUE and DCiE). DCWoRMS introduces the dedicated interface that provides methods to determine detailed information about each resource and its components energy state and allows changing its current energy state. As this interface is accessible from scheduling plugins, energy management may be admitted as a part of whole scheduling process. Availability of these interfaces in schedulers supports implement different strategies such as centralized energy management, self-management of computing resources and mixed models.
+
+In terms of application modeling, all tools, except DCSG Simulator, describe the application with a number of computational and communicational requirements. In addition, GreenCloud and DCWoRmS allow introducing the Qos requirements (typical for cloud computing applications) by taking into account the time constraints during the simulation. DCSG Simulator instead of modeling of the single application, introduce the definition of workload applied the computing devices that leads to a given utilization level. Nevertheless, only DCWoRMS supports application performance modeling. In the case of other tools, aforementioned capabilities allow only incorporating simple requirements that are taken into account during scheduling, they do not affect the application execution. On the other hand CloudSim offers modeling of utilization models that are used to estimate the current load of processor, bandwidth and memory and can be taken into account during the task allocation process. 
+
+GreenCloud, CloudSim and DCWoRMS are released as Open Source under the General Public License Agreement. Romonetâs tool is available under an OSL V3.0 open-source license, however, it can be only accessed by the DCSG members.
 
 
@@ -482,4 +447,9 @@
 TODO - experiments
 
+To demonstrate capabilities of the simulator in terms of energy efficiency modeling we present examples of experiments performed using the DCWoRMS. First we carried out a set of tests on the real hardware used as a CoolEmAll testbed to build the performance and energy profile of applications. Then we applied this data into the simulation environment and used to investigate different approaches to energy-aware resource management. 
+The following applications were evaluated:
+
+....
+
 \section{DCWoRMS application/use cases}\label{sec:coolemall}
 