Index: /DCWoRMS/trunk/src/test/article/recs/plugins/energy/AtomD510NodeEEP.java
===================================================================
--- /DCWoRMS/trunk/src/test/article/recs/plugins/energy/AtomD510NodeEEP.java	(revision 656)
+++ /DCWoRMS/trunk/src/test/article/recs/plugins/energy/AtomD510NodeEEP.java	(revision 707)
@@ -1,3 +1,6 @@
 package test.article.recs.plugins.energy;
+
+import java.io.FileNotFoundException;
+import java.io.IOException;
 
 import schedframe.resources.computing.ComputingNode;
@@ -6,5 +9,4 @@
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
 import schedframe.scheduling.manager.tasks.JobRegistry;
-import example.energy.BaseEnergyEstimationPlugin;
 
 public class AtomD510NodeEEP extends RecsNodeBaseEEP {
@@ -14,14 +16,27 @@
 		double powerConsumption = 0;
 		ComputingNode node = (ComputingNode) resource;
-		for(Processor cpu: node.getProcessors()){
-			try{
-				powerConsumption = powerConsumption + cpu.getPowerInterface().getRecentPowerUsage().getValue();
-			} catch (Exception e){
-				
+		try {
+			if(jobRegistry.getRunningTasks().size() > 0) {
+				powerConsumption = powerConsumption + getMeasuredPower(createQuery(jobRegistry.getRunningTasks().get(0)));
 			}
-		}
-		try {
-			powerConsumption = powerConsumption + node.getPowerInterface().getPowerConsumption(node.getPowerInterface().getPowerState());
-		} catch (NoSuchFieldException e) {
+			else {
+				for(Processor cpu: node.getProcessors()){
+					try{
+						//powerConsumption = powerConsumption + cpu.getPowerInterface().getRecentPowerUsage().getValue();
+					} catch (Exception e){
+						
+					}
+				}
+				try {
+					powerConsumption = powerConsumption + node.getPowerInterface().getPowerConsumption(node.getPowerInterface().getPowerState());
+				} catch (NoSuchFieldException e) {
+				}
+			}
+		} catch (FileNotFoundException e) {
+			// TODO Auto-generated catch block
+			e.printStackTrace();
+		} catch (IOException e) {
+			// TODO Auto-generated catch block
+			e.printStackTrace();
 		}
 
Index: /DCWoRMS/trunk/src/test/article/recs/plugins/energy/IntelNodeEEP.java
===================================================================
--- /DCWoRMS/trunk/src/test/article/recs/plugins/energy/IntelNodeEEP.java	(revision 656)
+++ /DCWoRMS/trunk/src/test/article/recs/plugins/energy/IntelNodeEEP.java	(revision 707)
@@ -9,5 +9,4 @@
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
 import schedframe.scheduling.manager.tasks.JobRegistry;
-import example.energy.BaseEnergyEstimationPlugin;
 
 public class IntelNodeEEP extends RecsNodeBaseEEP {
@@ -17,20 +16,22 @@
 		double powerConsumption = 0;
 		ComputingNode node = (ComputingNode) resource;
-		for(Processor cpu: node.getProcessors()){
-			try{
-				powerConsumption = powerConsumption + cpu.getPowerInterface().getRecentPowerUsage().getValue();
-			} catch (Exception e){
-				
+		
+		try {
+			if(jobRegistry.getRunningTasks().size() > 0) {
+				powerConsumption = powerConsumption + getMeasuredPower(createQuery(jobRegistry.getRunningTasks().get(0)));
 			}
-		}
-		try {
-			powerConsumption = powerConsumption + node.getPowerInterface().getPowerConsumption(node.getPowerInterface().getPowerState());
-		} catch (NoSuchFieldException e) {
-		}
-
-	
-		try {
-			if(jobRegistry.getRunningTasks().size()>0)
-			powerConsumption = powerConsumption + getMeasuredPower(createQuery(jobRegistry.getRunningTasks().get(0)));
+			else {
+				for(Processor cpu: node.getProcessors()){
+					try{
+						//powerConsumption = powerConsumption + cpu.getPowerInterface().getRecentPowerUsage().getValue();
+					} catch (Exception e){
+						
+					}
+				}
+				try {
+					powerConsumption = powerConsumption + node.getPowerInterface().getPowerConsumption(node.getPowerInterface().getPowerState());
+				} catch (NoSuchFieldException e) {
+				}
+			}
 		} catch (FileNotFoundException e) {
 			// TODO Auto-generated catch block
@@ -40,4 +41,5 @@
 			e.printStackTrace();
 		}
+
 		return powerConsumption;
 	}
Index: /DCWoRMS/trunk/src/test/article/recs/plugins/energy/RecsCpuEEP.java
===================================================================
--- /DCWoRMS/trunk/src/test/article/recs/plugins/energy/RecsCpuEEP.java	(revision 656)
+++ /DCWoRMS/trunk/src/test/article/recs/plugins/energy/RecsCpuEEP.java	(revision 707)
@@ -2,4 +2,5 @@
 
 import schedframe.resources.computing.ComputingResource;
+import schedframe.resources.computing.Processor;
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
 import schedframe.scheduling.manager.tasks.JobRegistry;
@@ -10,5 +11,15 @@
 	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
 			ComputingResource resource) {
+		
 		double powerConsumption = 0;
+		Processor cpu = (Processor) resource;
+
+		try {
+			powerConsumption = cpu.getPowerInterface().getPowerConsumption(cpu.getPowerInterface().getPState());
+		} catch (NoSuchFieldException e) {
+			// TODO Auto-generated catch block
+			e.printStackTrace();
+		}
+
 		return powerConsumption;
 	}
Index: /DCWoRMS/trunk/src/test/article/recs/plugins/energy/AtomZ510NodeEEP.java
===================================================================
--- /DCWoRMS/trunk/src/test/article/recs/plugins/energy/AtomZ510NodeEEP.java	(revision 656)
+++ /DCWoRMS/trunk/src/test/article/recs/plugins/energy/AtomZ510NodeEEP.java	(revision 707)
@@ -1,3 +1,6 @@
 package test.article.recs.plugins.energy;
+
+import java.io.FileNotFoundException;
+import java.io.IOException;
 
 import schedframe.resources.computing.ComputingNode;
@@ -6,5 +9,4 @@
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
 import schedframe.scheduling.manager.tasks.JobRegistry;
-import example.energy.BaseEnergyEstimationPlugin;
 
 public class AtomZ510NodeEEP extends RecsNodeBaseEEP {
@@ -14,14 +16,27 @@
 		double powerConsumption = 0;
 		ComputingNode node = (ComputingNode) resource;
-		for(Processor cpu: node.getProcessors()){
-			try{
-				powerConsumption = powerConsumption + cpu.getPowerInterface().getRecentPowerUsage().getValue();
-			} catch (Exception e){
-				
+		try {
+			if(jobRegistry.getRunningTasks().size() > 0) {
+				powerConsumption = powerConsumption + getMeasuredPower(createQuery(jobRegistry.getRunningTasks().get(0)));
 			}
-		}
-		try {
-			powerConsumption = powerConsumption + node.getPowerInterface().getPowerConsumption(node.getPowerInterface().getPowerState());
-		} catch (NoSuchFieldException e) {
+			else {
+				for(Processor cpu: node.getProcessors()){
+					try{
+						//powerConsumption = powerConsumption + cpu.getPowerInterface().getRecentPowerUsage().getValue();
+					} catch (Exception e){
+						
+					}
+				}
+				try {
+					powerConsumption = powerConsumption + node.getPowerInterface().getPowerConsumption(node.getPowerInterface().getPowerState());
+				} catch (NoSuchFieldException e) {
+				}
+			}
+		} catch (FileNotFoundException e) {
+			// TODO Auto-generated catch block
+			e.printStackTrace();
+		} catch (IOException e) {
+			// TODO Auto-generated catch block
+			e.printStackTrace();
 		}
 
Index: /DCWoRMS/trunk/src/test/article/recs/plugins/energy/AmdNodeEEP.java
===================================================================
--- /DCWoRMS/trunk/src/test/article/recs/plugins/energy/AmdNodeEEP.java	(revision 704)
+++ /DCWoRMS/trunk/src/test/article/recs/plugins/energy/AmdNodeEEP.java	(revision 707)
@@ -16,20 +16,21 @@
 		double powerConsumption = 0;
 		ComputingNode node = (ComputingNode) resource;
-		for(Processor cpu: node.getProcessors()){
-			try{
-				powerConsumption = powerConsumption + cpu.getPowerInterface().getRecentPowerUsage().getValue();
-			} catch (Exception e){
-				
+		try {
+			if(jobRegistry.getRunningTasks().size() > 0) {
+				powerConsumption = powerConsumption + getMeasuredPower(createQuery(jobRegistry.getRunningTasks().get(0)));
 			}
-		}
-		try {
-			powerConsumption = powerConsumption + node.getPowerInterface().getPowerConsumption(node.getPowerInterface().getPowerState());
-		} catch (NoSuchFieldException e) {
-		}
-
-		
-		try {
-			if(jobRegistry.getRunningTasks().size() > 0)
-			powerConsumption = powerConsumption + getMeasuredPower(createQuery(jobRegistry.getRunningTasks().get(0)));
+			else {
+				for(Processor cpu: node.getProcessors()){
+					try{
+						//powerConsumption = powerConsumption + cpu.getPowerInterface().getRecentPowerUsage().getValue();
+					} catch (Exception e){
+						
+					}
+				}
+				try {
+					powerConsumption = powerConsumption + node.getPowerInterface().getPowerConsumption(node.getPowerInterface().getPowerState());
+				} catch (NoSuchFieldException e) {
+				}
+			}
 		} catch (FileNotFoundException e) {
 			// TODO Auto-generated catch block