Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 699)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.tex	(revision 712)
@@ -116,4 +116,8 @@
 %% Text of abstract
 
+In the recent years, the issue of computing infrastructures energy-efficiency has gained great attention. In this paper we present a Data Center Workload and Resource Management Simulator (DCWoRMS) which enables modeling and simulations of computing infrastructures to estimate their performance, energy consumption, and energy-efficiency metrics for diverse workloads and management policies.
+We discuss methods of power usage modeling available in the simulator. To this end, we compare results of simulations to measurements from the real servers. 
+To demonstrate DCWoRMS capabilities we evaluate impact of several resource management policies on overall energy-efficiency of specific workloads on heterogeneous resources.
+
 \end{abstract}
 
@@ -136,7 +140,18 @@
 \section{Introduction}
 
-TODO - Introduction
-
-...
+Data centers are responsible for around 2\% of the global energy consumption making it equal to the demand of aviation industry \cite{koomey}. In many current data centers the actual IT equipment uses only half of the total energy (e.g. 45-62\% in \cite{hintemann}) while most of the remaining part is required for cooling and air movement resulting in poor Power Usage Effectiveness (PUE) \cite{pue} values. Large energy needs and significant $CO_2$ emissions caused that issues related to cooling, heat transfer, and IT infrastructure location are more and more carefully studied during planning and operation of data centers.
+Even if we take ecological and footprint issues aside, the amount of consumed energy can impose strict limits on data centers. First of all, energy bills may reach millions euros making computations expensive. 
+Furthermore, available power supply is usually limited so it also may reduce data center development capabilities, especially looking at challenges related to exascale computing breakthrough foreseen within this decade.
+
+For these reasons many efforts were undertaken to measure and study energy efficiency of data centers. Some of projects focused on data center monitoring and management \cite{games}\cite{fit4green} whereas others on prototypes of low power computing infrastructures \cite{montblanc}. Studies included aspects such as energy efficiency of networks \cite{networks} and service level agreements related to energy consumption \cite{sla}. Additionally, vendors offer a wide spectrum of energy efficient solutions for computing and cooling \cite{sgi}\cite{colt}\cite{ecocooling}. However, a variety of solutions and configuration options can be applied planning new or upgrading existing data centers.
+In order to optimize a design or configuration of data center we need a thorough study using appropriate metrics and tools evaluating how much computation or data processing  can be done within given power and energy budget and how it affects temperatures, heat transfers, and airflows within data center. 
+Therefore, there is a need for simulation tools and models that approach the problem from a perspective of end users and take into account all the factors that are critical to understanding and improving the energy efficiency of data centers, in particular, hardware characteristics, applications, management policies, and cooling.
+These tools should support data center designers and operators by answering questions how specific application types, levels of load, hardware specifications, physical arrangements, cooling technology, etc. impact overall data center energy efficiency. 
+
+In this paper we present a Data Center Workload and Resource Management Simulator (DCWoRMS) which enables modeling and simulations of computing infrastructures to estimate their performance, energy consumption, and energy-efficiency metrics for diverse workloads and management policies.
+We discuss methods of power usage modeling available in the simulator. To this end, we compare results of simulations to measurements from the real servers. 
+To demonstrate DCWoRMS capabilities we evaluate impact of several resource management policies on overall energy-efficiency of specific workloads on heterogeneous resources.
+
+TODO - update
 
 The remaining part of this paper is organized as follows. In Section~2 we give a brief overview of the current state of the art concerning modeling and simulation of distributed systems, like Grids and Clouds, in terms of energy efficiency. Section~3 discusses the main features of DCWoRMS. In particular, it introduces our approach to workload and resource management, presents the concept of energy efficiency modeling and explains how to incorporate a specific application performance model into simulations. Section~4 discusses energy models adopted within the DCWoRMS. In Section~5 we present some experiments that were performed using DCWoRMS utilizing real testbed nodes models to show varius types of popular resource and scheduling technics allowing to decrease the total power consumption of the execution of a set of tasks. Section~6 focuses on the role of DCWoRMS within the CoolEmAll project. Final conclusions and directions for future work are given in Section~7.
@@ -507,4 +522,6 @@
 % \bibitem{}
 
+\bibitem[15]{fit4green} [15] A. Berl, E. Gelenbe, M. di Girolamo, G. Giuliani, H. de Meer, M.-Q. Dang, K. Pentikousis. Energy-Efficient Cloud Computing. The Computer Journal, 53(7), 2010.
+
 \bibitem{CloudSim} Rodrigo N. Calheiros, Rajiv Ranjan, Anton Beloglazov, Cesar A. F. De Rose, and Rajkumar Buyya, CloudSim: A Toolkit for Modeling and Simulation of Cloud Computing Environments and Evaluation of Resource Provisioning Algorithms, Software: Practice and Experience (SPE), Volume 41, Number 1, Pages: 23-50, ISSN: 0038-0644, Wiley Press, New York, USA, January, 2011.
 
@@ -513,12 +530,27 @@
 \bibitem{DCD_Romonet} http://www.datacenterdynamics.com/blogs/ian-bitterlin/it-does-more-it-says-tin\%E2\%80\%A6
 
+\bibitem[16]{networks} [16] E. Gelenbe and C. Morfopoulou. Power savings in packet networks via optimised routing. Mobile Networks and Applications, 17(1):152â159, February 2012.
+
 \bibitem{Ghislain} Ghislain Landry Tsafack Chetsa, Laurent LefÃšvre, Jean-Marc Pierson, Patricia Stolf, Georges Da Costa. âDNA-inspired Scheme for Building the Energy Profile of HPC Systemsâ. In: International Workshop on Energy-Efficient Data Centres, Madrid, Springer, 2012
 
+\bibitem[6]{games} [6] A. Kipp, L. Schubert, J. Liu, T. Jiang, W. Christmann, M. vor dem Berge (2011). Energy Consumption Optimisation in HPC Service Centres, Proceedings of the Second International Conference on Parallel, Distributed, Grid and Cloud Computing for Engineering, B.H.V. Topping and P. IvaÌnyi, (Editors), Civil-Comp Press, Stirlingshire, Scotland
+
 \bibitem{GreenCloud} D. Kliazovich, P. Bouvry, and S. U. Khan, A Packet-level Simulator of Energy- aware Cloud Computing Data Centers, Journal of Supercomputing, vol. 62, no. 3, pp. 1263-1283, 2012
 
+\bibitem[17]{sla} [17] S. Klingert, T. Schulze, C. Bunse. GreenSLAs for the Energy-efficient Management of Data Centres. 2nd International Conference on Energy-Efficient Computing and Networking (e-Energy), 2011.
+
 \bibitem{GSSIM} S. Bak, M. Krystek, K. Kurowski, A. Oleksiak, W. Piatek and J. Weglarz, GSSIM - a Tool for Distributed Computing Experiments, Scientific Programming Journal, vol. 19, no. 4, pp. 231-251, 2011.
 
 \bibitem{GSSIM_Energy} M. Krystek, K. Kurowski, A. Oleksiak, W. Piatek, Energy-aware simulations with GSSIM. Proceedings of the COST Action IC0804 on Energy Efficiency in Large Scale Distributed Systems, 2010, pp. 55-58.
 
+\bibitem[2]{hintemann} [2] Hintemann, R., Fichter, K. (2010). Materialbestand der Rechenzentren in Deutschland, Eine Bestandsaufnahme zur Ermittlung von Ressourcen- und Energieeinsatz, UBA, Texte, 55/2010
+
+\bibitem[8]{koomey}
+[8] Koomey, Jonathan. 2008. "Worldwide electricity used in data centers." Environmental Research Letters. vol. 3, no. 034008. September 23
+
+
+
+% web links
+
 \bibitem{GWF} http://gwa.ewi.tudelft.nl/
 
@@ -530,4 +562,17 @@
 
 
+\bibitem[19]{colt} [19] Colt Modular Data Centre, http://www.colt.net/uk/en/products-services/data-centre-services/modular-data-centre-en.htm
+
+\bibitem[20]{coolemall} [20] The CoolEmAll project website, http://coolemall.eu 
+
+\bibitem[21]{ecocooling} [21] EcoCooling, http://www.ecocooling.org
+
+\bibitem[22]{montblanc} [22] The MontBlanc project website,  http://www.montblanc-project.eu/
+
+\bibitem[23]{pue} [23] The Green Grid Data Center Power Efficiency Metrics: PUE and DCiE, http://www.thegreengrid.org/Global/Content/white-papers/The-Green-Grid-Data-Center-Power-Efficiency-Metrics-PUE-and-DCiE
+
+\bibitem[24]{sgi} [24] SGI ICE Cube Air, http://www.sgi.com/products/data\_center/ice\_cube\_air/
+
+
  \end{thebibliography}
 
Index: papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux
===================================================================
--- papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 699)
+++ papers/SMPaT-2012_DCWoRMS/elsarticle-DCWoRMS.aux	(revision 712)
@@ -1,80 +1,103 @@
 \relax 
+\citation{koomey}
+\citation{hintemann}
+\citation{pue}
+\@writefile{toc}{\contentsline {section}{\numberline {1}Introduction}{1}}
+\citation{games}
+\citation{fit4green}
+\citation{montblanc}
+\citation{networks}
+\citation{sla}
+\citation{sgi}
+\citation{colt}
+\citation{ecocooling}
 \citation{GreenCloud}
 \citation{CloudSim}
 \citation{DCSG}
-\@writefile{toc}{\contentsline {section}{\numberline {1}Introduction}{1}}
-\@writefile{toc}{\contentsline {section}{\numberline {2}Related Work}{1}}
+\@writefile{toc}{\contentsline {section}{\numberline {2}Related Work}{3}}
 \citation{GSSIM}
-\@writefile{toc}{\contentsline {section}{\numberline {3}DCWoRMS}{4}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {3.1}Architecture}{4}}
+\@writefile{toc}{\contentsline {section}{\numberline {3}DCWoRMS}{5}}
 \citation{GWF}
 \citation{SLURM}
 \citation{TORQUE}
 \citation{Ghislain}
-\@writefile{lof}{\contentsline {figure}{\numberline {1}{\ignorespaces  DCWoRMS architecture}}{5}}
-\newlabel{fig:arch}{{1}{5}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {3.2}Workload modeling}{5}}
-\@writefile{lof}{\contentsline {figure}{\numberline {2}{\ignorespaces  Levels of information about jobs}}{6}}
-\newlabel{fig:jobsStructure}{{2}{6}}
+\@writefile{lof}{\contentsline {figure}{\numberline {1}{\ignorespaces  DCWoRMS architecture}}{6}}
+\newlabel{fig:arch}{{1}{6}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {3.1}Architecture}{6}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {3.2}Workload modeling}{6}}
 \@writefile{toc}{\contentsline {subsection}{\numberline {3.3}Resource modeling}{7}}
+\@writefile{lof}{\contentsline {figure}{\numberline {2}{\ignorespaces  Levels of information about jobs}}{8}}
+\newlabel{fig:jobsStructure}{{2}{8}}
 \citation{GSSIM_Energy}
-\@writefile{toc}{\contentsline {subsection}{\numberline {3.4}Energy management concept in DCWoRMS}{8}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {3.4.1}Power management}{8}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Power profile}}{8}}
-\@writefile{lof}{\contentsline {figure}{\numberline {3}{\ignorespaces  Power consumption modeling}}{9}}
-\newlabel{fig:powerModel}{{3}{9}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Power consumption model}}{9}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Power management interface}}{9}}
-\@writefile{lof}{\contentsline {figure}{\numberline {4}{\ignorespaces  Air throughput modeling}}{10}}
-\newlabel{fig:airModel}{{4}{10}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {3.4.2}Air throughput management concept}{10}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Air throughput profile}}{10}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Air throughput model}}{10}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Air throughput management interface}}{10}}
-\@writefile{lof}{\contentsline {figure}{\numberline {5}{\ignorespaces  Temperature estimation modeling}}{11}}
-\newlabel{fig:tempModel}{{5}{11}}
-\@writefile{toc}{\contentsline {subsubsection}{\numberline {3.4.3}Thermal management concept}{11}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Thermal profile}}{11}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Temperature estimation model}}{11}}
-\@writefile{toc}{\contentsline {paragraph}{\textbf  {Thermal resource management interface}}{11}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {3.5}Application performance modeling}{12}}
-\newlabel{sec:apps}{{3.5}{12}}
-\@writefile{toc}{\contentsline {section}{\numberline {4}Modeling of energy efficiency in DCWoRMS}{12}}
-\newlabel{eq:E}{{1}{13}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {4.1}Power consumption models}{13}}
-\newlabel{sec:power}{{4.1}{13}}
-\newlabel{fig:power}{{4.1}{14}}
-\@writefile{lof}{\contentsline {figure}{\numberline {6}{\ignorespaces Average power usage with regard to CPU frequency\\ \textbf  {Tests}: Linpack (\emph  {green}), Abinit (\emph  {purple}), Namd (\emph  {blue}) and Cpuburn (\emph  {red}). \\ }}{14}}
-\newlabel{eq:ohm-law}{{2}{14}}
-\@writefile{lof}{\contentsline {figure}{\numberline {7}{\ignorespaces  Power in time for highest frequency}}{15}}
-\newlabel{fig:fans_P}{{7}{15}}
-\newlabel{eq:static}{{3}{15}}
-\newlabel{eq:load}{{4}{15}}
-\newlabel{eq:app}{{5}{16}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {4.2}Air throughput models}{16}}
-\newlabel{sec:air}{{4.2}{16}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {4.3}Thermal models}{16}}
-\newlabel{sec:thermal}{{4.3}{16}}
-\@writefile{lof}{\contentsline {figure}{\numberline {8}{\ignorespaces  Temperature in time for highest frequency}}{17}}
-\newlabel{fig:tempModel}{{8}{17}}
-\@writefile{toc}{\contentsline {section}{\numberline {5}Experiments and evaluation}{17}}
-\newlabel{sec:experiments}{{5}{17}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {5.1}Testbed description}{17}}
-\@writefile{lot}{\contentsline {table}{\numberline {1}{\ignorespaces CoolEmAll testbed}}{18}}
-\@writefile{toc}{\contentsline {subsection}{\numberline {5.2}Computational analysis}{18}}
-\@writefile{toc}{\contentsline {section}{\numberline {6}DCWoRMS application/use cases}{18}}
-\newlabel{sec:coolemall}{{6}{18}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {3.4}Energy management concept in DCWoRMS}{9}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {3.4.1}Power management}{9}}
+\@writefile{lof}{\contentsline {figure}{\numberline {3}{\ignorespaces  Power consumption modeling}}{10}}
+\newlabel{fig:powerModel}{{3}{10}}
+\@writefile{toc}{\contentsline {paragraph}{\textbf  {Power profile}}{10}}
+\@writefile{toc}{\contentsline {paragraph}{\textbf  {Power consumption model}}{10}}
+\@writefile{toc}{\contentsline {paragraph}{\textbf  {Power management interface}}{10}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {3.4.2}Air throughput management concept}{11}}
+\@writefile{toc}{\contentsline {paragraph}{\textbf  {Air throughput profile}}{11}}
+\@writefile{toc}{\contentsline {paragraph}{\textbf  {Air throughput model}}{11}}
+\@writefile{toc}{\contentsline {paragraph}{\textbf  {Air throughput management interface}}{11}}
+\@writefile{lof}{\contentsline {figure}{\numberline {4}{\ignorespaces  Air throughput modeling}}{12}}
+\newlabel{fig:airModel}{{4}{12}}
+\@writefile{toc}{\contentsline {subsubsection}{\numberline {3.4.3}Thermal management concept}{12}}
+\@writefile{toc}{\contentsline {paragraph}{\textbf  {Thermal profile}}{12}}
+\@writefile{toc}{\contentsline {paragraph}{\textbf  {Temperature estimation model}}{12}}
+\@writefile{toc}{\contentsline {paragraph}{\textbf  {Thermal resource management interface}}{12}}
+\@writefile{lof}{\contentsline {figure}{\numberline {5}{\ignorespaces  Temperature estimation modeling}}{13}}
+\newlabel{fig:tempModel}{{5}{13}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {3.5}Application performance modeling}{13}}
+\newlabel{sec:apps}{{3.5}{13}}
+\@writefile{toc}{\contentsline {section}{\numberline {4}Modeling of energy efficiency in DCWoRMS}{14}}
+\newlabel{eq:E}{{1}{14}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {4.1}Power consumption models}{15}}
+\newlabel{sec:power}{{4.1}{15}}
+\newlabel{eq:ohm-law}{{2}{15}}
+\newlabel{fig:power}{{4.1}{16}}
+\@writefile{lof}{\contentsline {figure}{\numberline {6}{\ignorespaces Average power usage with regard to CPU frequency\\ \textbf  {Tests}: Linpack (\emph  {green}), Abinit (\emph  {purple}), Namd (\emph  {blue}) and Cpuburn (\emph  {red}). \\ }}{16}}
+\@writefile{lof}{\contentsline {figure}{\numberline {7}{\ignorespaces  Power in time for highest frequency}}{16}}
+\newlabel{fig:fans_P}{{7}{16}}
+\newlabel{eq:static}{{3}{17}}
+\newlabel{eq:load}{{4}{17}}
+\newlabel{eq:app}{{5}{17}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {4.2}Air throughput models}{17}}
+\newlabel{sec:air}{{4.2}{17}}
+\@writefile{lof}{\contentsline {figure}{\numberline {8}{\ignorespaces  Temperature in time for highest frequency}}{18}}
+\newlabel{fig:tempModel}{{8}{18}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {4.3}Thermal models}{18}}
+\newlabel{sec:thermal}{{4.3}{18}}
+\@writefile{toc}{\contentsline {section}{\numberline {5}Experiments and evaluation}{19}}
+\newlabel{sec:experiments}{{5}{19}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {5.1}Testbed description}{19}}
+\@writefile{toc}{\contentsline {subsection}{\numberline {5.2}Computational analysis}{19}}
+\@writefile{lot}{\contentsline {table}{\numberline {1}{\ignorespaces CoolEmAll testbed}}{20}}
+\@writefile{toc}{\contentsline {section}{\numberline {6}DCWoRMS application/use cases}{20}}
+\newlabel{sec:coolemall}{{6}{20}}
+\bibcite{fit4green}{{15}{}{{}}{{}}}
+\@writefile{toc}{\contentsline {section}{\numberline {7}Conclusions and future work}{21}}
+\newlabel{}{{7}{21}}
 \bibcite{CloudSim}{{1}{}{{}}{{}}}
 \bibcite{DCSG}{{2}{}{{}}{{}}}
 \bibcite{DCD_Romonet}{{3}{}{{}}{{}}}
+\bibcite{networks}{{16}{}{{}}{{}}}
 \bibcite{Ghislain}{{4}{}{{}}{{}}}
+\bibcite{games}{{6}{}{{}}{{}}}
 \bibcite{GreenCloud}{{5}{}{{}}{{}}}
+\bibcite{sla}{{17}{}{{}}{{}}}
 \bibcite{GSSIM}{{6}{}{{}}{{}}}
-\@writefile{toc}{\contentsline {section}{\numberline {7}Conclusions and future work}{20}}
-\newlabel{}{{7}{20}}
 \bibcite{GSSIM_Energy}{{7}{}{{}}{{}}}
+\bibcite{hintemann}{{2}{}{{}}{{}}}
+\bibcite{koomey}{{8}{}{{}}{{}}}
 \bibcite{GWF}{{8}{}{{}}{{}}}
 \bibcite{SLURM}{{9}{}{{}}{{}}}
 \bibcite{SWF}{{10}{}{{}}{{}}}
 \bibcite{TORQUE}{{11}{}{{}}{{}}}
-\providecommand\NAT@force@numbers{}\NAT@force@numbers
+\bibcite{colt}{{19}{}{{}}{{}}}
+\bibcite{coolemall}{{20}{}{{}}{{}}}
+\bibcite{ecocooling}{{21}{}{{}}{{}}}
+\bibcite{montblanc}{{22}{}{{}}{{}}}
+\bibcite{pue}{{23}{}{{}}{{}}}
+\bibcite{sgi}{{24}{}{{}}{{}}}
+\global\NAT@numberstrue